Subject: bug#30349: 27.0.50; Cuonfusing documentation about pipe processes

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Feb 2018 20:55:28 +0200

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 06 Feb 2018 07:10:43 -0500
> 
> >> I don't think there is such a thing.  That phrase seems to have been
> >> copied across all the make-*-process functions.
> >
> > And is wrong in all of them?
> 
> I think so.
> 
> > Could it be that the phrase originally meant shell-style redirection?
> 
> Perhaps, but none of those functions support that, as far as I know.

Did you look at Git history of how that text was introduced?  Maybe
that will tell us something.  Or maybe the discussions/bug report
around the time this text was written/modified will give a hint.
(Sorry I'm not doing this research myself, but I'm terribly busy these
days, and won't have time for it for another couple of days.)

> > This goes too far in deleting stuff that is useful: the part of the
> > second sentence that follows "unless", which talks about specifying a
> > filter function, should be left alone.  Without it, "The default
> > filter function ..." surprises the reader, since it talks about the
> > default of something that wasn't mentioned before.
> 
> Not entirely sure I follow, did you actually mean the part that
> *precedes* "unless" should be left alone?  As in:
> 
>     :buffer BUFFER -- BUFFER is the buffer (or buffer-name) to associate
>     with the process.  Process output goes at end of that buffer, unless
>     you specify a filter function to handle the output.  [...]

Yes.  And then the sentence about the default filter function.

Thanks.